%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           redhat-certification-commons
Version:        1.3
Release:        1%{?dist}
Summary:        Common tests for Red Hat Certification

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       redhat-certification
Requires:       openscap-utils
Requires:       sos >= 3.2
Provides:       redhat-certification-sosreport, redhat-certification-security
Obsoletes:      redhat-certification-sosreport, redhat-certification-security

%description
Common tests for Red Hat Certification

%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
> $RPM_BUILD_ROOT%{python_sitelib}/rhcert/suites/sosreport/__init__.py
> $RPM_BUILD_ROOT%{python_sitelib}/rhcert/suites/security/__init__.py


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/rhcert/suites/sosreport
%{python_sitelib}/rhcert/suites/security
%exclude %{python_sitelib}/rhcert/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/sosreport/example.py*
%exclude %{python_sitelib}/rhcert/suites/security/example.py*
%{python_sitelib}/redhat_certification_commons*egg-info
%{_datadir}/xml/%{name}/*

%changelog
* Thu May 12 2016 Chandan Kumar <chkumar@redhat.com> 1.3-1
- Fixed openscap xccdf url warning issue
- Bumped to version 1.3

* Fri Feb 19 2016 Shreyank Gupta <sgupta@redhat.com> 1.2-1
- Bump to version 1.2

* Wed Feb 17 2016 Chandan Kumar <chkumar@redhat.com> 1.1-2
- Obsoletes redhat-certification-security

* Wed Feb 17 2016 Chandan Kumar <chkumar@redhat.com> 1.1-1
- Run the rhcert-* testsuite in offline mode without breaking the tool
- Bumped to version 1.1

* Fri Aug 21 2015 Shreyank Gupta <sgupta@redhat.com> 1.0-1
- Initial release.
